<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<!--
IGAC proyecto SNC

@author 		pedro.garcia
@version		2.0
@description 	panel que muestra los datos específicos para inmuebles de tipo Casa, 
                Apartamento y Suite Hotelera
                Mostrar Detalles de Ofertas Inmobiliarias CU-SA-AC-078
@cu				CU-AV-O-02 - Modificar Ofertas Inmobiliarias
@param 			managedBeanAndAttributeParam:	Objeto de tipo OfertaInmobiliaria que tiene 
                los valores de todo el formulario.
@param 			managedBeanParam: ManagedBean seleccionado

-->

<h:panelGrid id="detallesCasaApartamentoSuiteHoteleraPanel"
             xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui"
             rendered="#{managedBeanParam.banderaCasaApartamentoSuiteHotelera}"
             width="100%">

    <h:panelGrid columns="6" width="100%" cellspacing="8"
                 columnClasses="colMediana, colPequena, colMediana, colPequena, colMediana, colPequena">

        <h:outputLabel value="Tipo inmueble:" for="tipoInmuebleCASHL"
                       styleClass="outputLabelStyle" />
        <h:outputText id="tipoInmuebleCASHL" 
                      value="#{ofertaInmobiliariaParam.tipoInmueble}" />
        <p:spacer />
        <p:spacer />
        <p:spacer />
        <p:spacer />

        <h:outputLabel value="No. de cocinas: " styleClass="outputLabelStyle" />
        <h:outputText value="#{ofertaInmobiliariaParam.numeroCocinas}"
                      styleClass="outputTextStyle" />

        <h:outputLabel value="Tipo de cocina: " styleClass="outputLabelStyle" />
        <h:outputText id="OfertaTipoCocinaV" styleClass="outputTextStyle"
                      value="#{ofertaInmobiliariaParam.tipoCocina}">
            <f:converter converterId="converterCB" for="OfertaTipoCocinaV" />
        </h:outputText>

        <h:outputLabel value="No. de habitaciones: "
                       styleClass="outputLabelStyle" />
        <h:outputText value="#{ofertaInmobiliariaParam.numeroHabitaciones}"
                      styleClass="outputTextStyle" />

        <h:outputLabel value="No. de baños: " styleClass="outputLabelStyle" />
        <h:outputText value="#{ofertaInmobiliariaParam.numeroBanios}"
                      styleClass="outputTextStyle" />

        <h:outputLabel value="No. de parqueaderos: "
                       styleClass="outputLabelStyle" />
        <h:outputText value="#{ofertaInmobiliariaParam.numeroParqueaderos}"
                      styleClass="outputTextStyle" />

        <h:outputLabel value="No. de depositos: "
                       styleClass="outputLabelStyle" />
        <h:outputText value="#{ofertaInmobiliariaParam.numeroDepositos}"
                      styleClass="outputTextStyle" />

        <h:outputLabel value="No. de pisos: " styleClass="outputLabelStyle" />
        <h:outputText value="#{ofertaInmobiliariaParam.numeroPisos}"
                      styleClass="outputTextStyle" />

        <h:outputLabel value="Ubicación en piso" styleClass="outputLabelStyle" />
        <h:outputText value="#{ofertaInmobiliariaParam.ubicacionEnPiso}"
                      styleClass="outputTextStyle" />

        <h:outputLabel value="Área terreno: " styleClass="outputLabelStyle" />
        <h:outputText value="#{ofertaInmobiliariaParam.areaTerreno}"
                      styleClass="outputTextStyle" />

        <h:outputLabel value="Área construcción / Área Privada: "
                       styleClass="outputLabelStyle" />
        <h:outputText value="#{ofertaInmobiliariaParam.areaConstruccion}"
                      styleClass="outputTextStyle" />

        <h:outputLabel value="Forma lote: " styleClass="outputLabelStyle" />
        <h:outputText id="OfertaFormaLoteV-2" styleClass="outputTextStyle"
                      value="#{ofertaInmobiliariaParam.formaLote}">
            <f:converter converterId="converterCB" for="OfertaFormaLoteV-2" />
        </h:outputText>

        <h:outputLabel value="Ubicación: " styleClass="outputLabelStyle" />
        <h:outputText id="OfertaUbicacionV" styleClass="outputTextStyle"
                      value="#{ofertaInmobiliariaParam.ubicacion}">
            <f:converter converterId="converterCB" for="OfertaUbicacionV" />
        </h:outputText>


    </h:panelGrid>
</h:panelGrid>